# This file is generated by make.paws. Please do not edit here.
#' @importFrom paws.common new_handlers new_service
NULL

#' AWS Comprehend Medical
#'
#' @description
#' Comprehend Medical extracts structured information from unstructured
#' clinical text. Use these actions to gain insight in your documents.
#'
#' @examples
#' \donttest{svc <- comprehendmedical()
#' svc$detect_entities(
#'   Foo = 123
#' )}
#'
#' @section Operations:
#' \tabular{ll}{
#'  \link[=comprehendmedical_detect_entities]{detect_entities} \tab Inspects the clinical text for a variety of medical entities and returns specific information about them such as entity category, location, and confidence score on that information \cr
#'  \link[=comprehendmedical_detect_phi]{detect_phi} \tab Inspects the clinical text for personal health information (PHI) entities and entity category, location, and confidence score on that information 
#' }
#'
#' @rdname comprehendmedical
#' @export
comprehendmedical <- function() {
  .comprehendmedical$operations
}

# Private API objects: metadata, handlers, interfaces, etc.
.comprehendmedical <- list()

.comprehendmedical$operations <- list()

.comprehendmedical$metadata <- list(
  service_name = "comprehendmedical",
  endpoints = list("*" = "comprehendmedical.{region}.amazonaws.com", "cn-*" = "comprehendmedical.{region}.amazonaws.com.cn"),
  service_id = "ComprehendMedical",
  api_version = "2018-10-30",
  signing_name = "comprehendmedical",
  json_version = "1.1",
  target_prefix = "ComprehendMedical_20181030"
)

.comprehendmedical$handlers <- new_handlers("jsonrpc", "v4")

.comprehendmedical$service <- function() {
  new_service(.comprehendmedical$metadata, .comprehendmedical$handlers)
}
