% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/polly_operations.R
\name{polly_list_lexicons}
\alias{polly_list_lexicons}
\title{Returns a list of pronunciation lexicons stored in an AWS Region}
\usage{
polly_list_lexicons(NextToken)
}
\arguments{
\item{NextToken}{An opaque pagination token returned from previous \code{ListLexicons}
operation. If present, indicates where to continue the list of lexicons.}
}
\description{
Returns a list of pronunciation lexicons stored in an AWS Region. For
more information, see \href{http://docs.aws.amazon.com/polly/latest/dg/managing-lexicons.html}{Managing Lexicons}.
}
\section{Request syntax}{
\preformatted{svc$list_lexicons(
  NextToken = "string"
)
}
}

\examples{
# Returns a list of pronunciation lexicons stored in an AWS Region.
\donttest{svc$list_lexicons()}

}
\keyword{internal}
